package org.josast.AX25;

import java.util.Arrays;
@Deprecated
public class KissData {
	
	private byte [] data;
	private int size=0;
	
	@Deprecated
	public KissData(byte[] data, int size) {
		super();
		this.data = Arrays.copyOf(data, size);
		this.size = size;
	}
	
	@Deprecated
	public byte[] getData() {
		return  Arrays.copyOf(data, data.length);
	}
	@Deprecated
	public void setData(byte[] data) {
		this.data = Arrays.copyOf(data, data.length);;
	}
	@Deprecated
	public int getSize() {
		return size;
	}
	@Deprecated
	public void setSize(int size) {
		this.size = size;
	}
	@Deprecated
	public String toString() {

        StringBuilder sb = new StringBuilder();
        for (int i=0; i<size;i++) {
        
            sb.append(String.format("%02x", data[i]));
        }
        return sb.toString();

    }


}
